Package twisted :: Package trial :: Module reporter :: Class TreeReporter |
[frames | no frames]

## Class TreeReporter

    Reporter --+
               |
    TextReporter --+
                   |
                  TreeReporter

Method Summary
| `__init__(self, stream, tbformat)`
| `color(self, text, color)`
| `endLine(self, message, color)`
| `reportResults(self, testClass, method, resultType, results)`
| `reportStart(self, testClass, method)`
Inherited from TextReporter
| ``_formatError`(self, flavor, (testClass, method, error))`
| ``_formatImportError`(self, name, error)`
| ``_statusReport`(self)`
| ``stop`(self)`
| ``write`(self, format, *args)`
| ``writeln`(self, format, *args)`
Inherited from Reporter
| ``allPassed`(self)`
| ``getRunningTime`(self)`
| ``reportImportError`(self, name, exc)`
| ``start`(self, expectedTests)`

Instance Variable Summary
Inherited from Reporter
bool | `debugger`: Run the debugger when encountering a failing test.
List of (testClass, method, Results) tuples. | `errors`: Tests which have encountered an error.
List of (testClass, method, Results) tuples. | `expectedFailures`: Tests which failed but are marked as 'todo'
int | `expectedTests`: The number of tests I expect to run.
List of (testClass, method, Results) tuples. | `failures`: Tests which have failed.
List of (moduleName, exception) tuples. | `imports`: Import errors encountered while assembling the test suite.
int | `numTests`: The number of tests I have reports for.
List of (testClass, method, Results) tuples. | `skips`: Tests which have been skipped.
List of (testClass, method, Results) tuples. | `unexpectedSuccesses`: Tests which passed but are marked as 'todo'

Class Variable Summary
`int` | `BLACK` = 30
`int` | `BLUE` = 34
`int` | `columns` = 79
`int` | `CYAN` = 36
`int` | `GREEN` = 32
`int` | `MAGENTA` = 35
`int` | `RED` = 31
`int` | `WHITE` = 37
`int` | `YELLOW` = 33
Inherited from TextReporter
`str` | `DOUBLE_SEPARATOR` = `'====================================...`
`str` | `SEPARATOR` = `'-------------------------------------------...`

Class Variable Details

    ### BLACK Type: `int` Value:
        30

    ### BLUE Type: `int` Value:
        34

    ### columns Type: `int` Value:
        79

    ### CYAN Type: `int` Value:
        36

    ### GREEN Type: `int` Value:
        32

    ### MAGENTA Type: `int` Value:
        35

    ### RED Type: `int` Value:
        31

    ### WHITE Type: `int` Value:
        37

    ### YELLOW Type: `int` Value:
        33

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net